# _SSLInit
<span class="source-link">[[Source]](src/net-ssl/_ssl_init.md#L16)</span>

This initialises SSL when the program begins.


```pony
primitive val _SSLInit
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-ssl/_ssl_init.md#L16)</span>


```pony
new val create()
: _SSLInit val^
```

#### Returns

* [_SSLInit](net-ssl-_SSLInit.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/net-ssl/_ssl_init.md#L20)</span>


```pony
fun box eq(
  that: _SSLInit val)
: Bool val
```
#### Parameters

*   that: [_SSLInit](net-ssl-_SSLInit.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/net-ssl/_ssl_init.md#L20)</span>


```pony
fun box ne(
  that: _SSLInit val)
: Bool val
```
#### Parameters

*   that: [_SSLInit](net-ssl-_SSLInit.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

## Private Functions

### _init
<span class="source-link">[[Source]](src/net-ssl/_ssl_init.md#L20)</span>


```pony
fun box _init()
: None val
```

#### Returns

* [None](builtin-None.md) val

---

